Bug 861591 - Review Request: openteacher - An application that helps you learn a foreign language
Review Request: openteacher - An application that helps you learn a foreign l...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-29 07:05 EDT by Eduardo Echeverria
Modified: 2013-01-11 18:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-02 21:34:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bazanluis20: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Fix version in setup.py and fix typo in desktop file (1.06 KB, patch)
2012-09-29 13:08 EDT, Eduardo Echeverria
no flags Details | Diff
Man Pages of openteacher (2.05 KB, application/x-troff-man)
2012-10-05 11:50 EDT, Eduardo Echeverria
no flags Details

  None (edit)
Description Eduardo Echeverria 2012-09-29 07:05:36 EDT
Spec URL: http://echevemaster.fedorapeople.org/openteacher/1/openteacher.spec
RPMS URL: http://echevemaster.fedorapeople.org/openteacher/1/openteacher-2.3-1.fc17.src.rpm

Description: OpenTeacher has the following features:
- Smart question asking and interval training
- Think answer, shuffle answer and repeat answer input modes
- Easy symbol, Greek and Cyrillic input
- Read and write T2K (Teach2000), WRTS and read ABBYY Lingvo Tutor files
- Save and open your online WRTS lists
- Print your word lists
- Available in different languages

Fedora Account System Username: echevemaster

######################### rpmlint SRPMS ######################################
openteacher.src: I: checking
openteacher.src: I: checking-url http://www.openteacher.org (timeout 10 seconds)
openteacher.src: I: checking-url https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

######################### rpmlint RPMS ######################################
rpmlint -v openteacher-2.3-1.fc17.noarch.rpm 
openteacher.noarch: I: checking
openteacher.noarch: I: checking-url http://www.openteacher.org (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

######################## rpmlint Spec ########################################
rpmlint -v openteacher.spec
openteacher.spec: I: checking-url https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji Rawhide Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539729
Koji f18 build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539745
Koji f17 Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539758
Koji f16 Build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539771
Comment 1 Eduardo Echeverria 2012-09-29 10:10:25 EDT
desktop-file-install solved
########################### Corrected spec && SRPM ###########################
Spec URL: http://echevemaster.fedorapeople.org/openteacher/2/openteacher.spec
RPMS URL: http://echevemaster.fedorapeople.org/openteacher/2/openteacher-2.3-2.fc17.src.rpm

rpmlint -v openteacher.spec 
openteacher.spec: I: checking-url https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


rpmlint -v openteacher-2.3-2.fc17.src.rpm 
openteacher.src: I: checking
openteacher.src: I: checking-url http://www.openteacher.org (timeout 10 seconds)
openteacher.src: I: checking-url https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -v openteacher-2.3-2.fc17.noarch.rpm 
openteacher.noarch: I: checking
openteacher.noarch: I: checking-url http://www.openteacher.org (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Koji Rawhide Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539862
Koji f18 build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539864
Koji f17 Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539868
Koji f16 Build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4539866
Comment 2 Luis Bazan 2012-09-29 12:34:10 EDT

* Name follows the naming guidelines
* License is GPLv3 in spec and in code
* License files included in package
* Spec file is legible
* Source matches upstream
* No locale files
* No C libraries
* No bundled libraries
* Not relocatable
* Package owns all directories it creates
* Does not have duplicate files
* Macros used consistently
* %doc is OK README COPYING NEW
* All filenames valid UTF-8
* builds in koji
* Permissions on files set properly
Comment 3 Luis Bazan 2012-09-29 12:35:05 EDT
please add the patch
Comment 4 Eduardo Echeverria 2012-09-29 13:08:13 EDT
Created attachment 619141 [details]
Fix version in setup.py and fix typo in desktop file
Comment 5 Luis Bazan 2012-10-05 11:33:09 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "*No copyright* GPL (v3)", "*No copyright* GPL (v3
     or later)" For detailed output of licensecheck see file:
     /home/soporte/rpmbuild/SPECS/861591-openteacher/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: openteacher-2.3-2.fc17.noarch.rpm
          openteacher-2.3-2.fc17.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
openteacher-2.3-2.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/python  
    PyQt4  
    python(abi) = 2.7

Provides
--------
openteacher-2.3-2.fc17.noarch.rpm:
    
    mimehandler(application/x-openteacher)  
    mimehandler(application/x-teach2000)  
    mimehandler(application/x-wrts)  
    openteacher = 2.3-2.fc17

MD5-sum check
-------------
https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz :
  CHECKSUM(SHA256) this package     : b33a92aea56540b5c6eb80b9a8a3090a87a307dfbd9ecbfd7cf9808b031d6c11
  CHECKSUM(SHA256) upstream package : b33a92aea56540b5c6eb80b9a8a3090a87a307dfbd9ecbfd7cf9808b031d6c11


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 861591
External plugin
Comment 6 Eduardo Echeverria 2012-10-05 11:50:14 EDT
Created attachment 622288 [details]
Man Pages of openteacher
Comment 7 Luis Bazan 2012-10-05 12:12:06 EDT
# rpmlint -i -v *
openteacher.src: I: checking
openteacher.src: I: checking-url http://www.openteacher.org (timeout 10 seconds)
openteacher.src: I: checking-url https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz (timeout 10 seconds)
openteacher.spec: I: checking-url https://launchpad.net/openteacher/2.x/2.3/+download/openteacher-2.3-source.tar.gz (timeout 10 seconds)
1 packages and 1 specfiles checked; 0 errors, 0 warnings.


No Issues.

No Scratch Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4563352

----------------

PACKAGE APPROVED

----------------
Comment 8 Eduardo Echeverria 2012-10-05 12:41:30 EDT
New Package SCM Request
=======================
Package Name: openteacher
Short Description: An application that helps you learn a foreign language
Owners: echevemaster
Branches: f16 f17 f18
InitialCC: lbazan
Comment 9 Gwyn Ciesla 2012-10-05 13:04:00 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-06 00:53:39 EDT
openteacher-2.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openteacher-2.3-2.fc18
Comment 11 Fedora Update System 2012-10-06 01:04:55 EDT
openteacher-2.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openteacher-2.3-2.fc17
Comment 12 Fedora Update System 2012-10-06 01:13:18 EDT
openteacher-2.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openteacher-2.3-2.fc16
Comment 13 Fedora Update System 2012-10-06 14:42:54 EDT
openteacher-2.3-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2012-12-14 08:48:48 EST
openteacher-3.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openteacher-3.0-2.fc18
Comment 15 Fedora Update System 2012-12-14 08:50:58 EST
openteacher-3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openteacher-3.0-2.fc17
Comment 16 Fedora Update System 2012-12-14 08:53:09 EST
openteacher-3.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openteacher-3.0-2.fc16
Comment 17 Fedora Update System 2013-01-03 02:19:33 EST
openteacher-3.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-01-03 02:22:38 EST
openteacher-3.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-01-11 18:35:11 EST
openteacher-3.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.